#!/bin/bash

DBUS_PATH=$1

function main() {
    local bios_ver
    bios_ver=$(dmidecode -t 0 | grep "Version" | awk -F ': ' '{print $2}')
    echo "BIOS version: ${bios_ver}"
    local sys_ver
    sys_ver=$(cat /etc/hw_version)
    echo "System version: ${sys_ver}"
    local hw_ver
    hw_ver=$(hwfirmware -v | grep "Version" | awk -F ': ' '{print $2}')
    echo "Hardware version: ${hw_ver}"
}

main
